Page MenuHomePhabricator

Fix build errors with clang 10.x
Closed, ResolvedPublic

Description

Fedora comes with clang 10.x, and this will eventually be the compiler for Mac OS X at some point, too. So I suggest to fix this soon ;)

Revisions and Commits

Related Objects

Event Timeline

nolden triaged this task as High priority.Jul 27 2020, 4:27 PM
nolden created this task.
kislinsk added a revision: Restricted Differential Revision.Jul 29 2020, 11:18 PM
kislinsk added a project: Breaking Change.
kislinsk added a subscriber: kislinsk.

Is this task resolved with the landing of {D360}?

I'm setting up a clang 10 dart client right now. If that is submitting successfully I would close the task

nolden closed this task as Resolved.Sep 23 2020, 9:45 AM

Clang 10 on Linux configuration is running now nightly on my desktop machine. "WorkbenchRelease" is green, "All" unfortunately hits an internal clang error [1][2]. Setting this up on ubuntu would probably solve this, or some update on fedora.

[1]: https://bugs.llvm.org/show_bug.cgi?id=47525
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1873317